XkbSetXlibControls(3)

NAME
XkbSetXlibControls - Changes the state of the Library Controls

SYNOPSIS
unsigned int XkbSetXlibControls ( display, bits_to_change, values_for_bits )
      Display *display;
      unsigned long bits_to_change;
      unsigned long values_for_bits;

ARGUMENTS

- display
    connection to X server

- bits_to_change
    selects controls to be modified

- values_for_bits
    turns selected controls on (1) or off (0)

DESCRIPTION

XkbSetXlibControls modifies the state of the controls selected by bits_to_change; only the controls selected by bits_to_change are modified. If the bit corresponding to a control is on in bits_to_change and also on in values_for_bits, the control is enabled. If the bit corresponding to a control is on in bits_to_change but off in values_for_bits, the control is disabled. bits_to_change should be an inclusive OR of bits from Table 1.
Table 1 Library Control Masks
Library Control Mask | Value
XkbLC_ForceLatin1Lookup | (1 << 0)
XkbLC_ConsumeLookupMods | (1 << 1)
XkbLC_AlwaysConsumeShiftAndLock | (1 << 2)
XkbLC_IgnoreNewKeyboards | (1 << 3)
XkbLC_ConsumeKeysOnComposeFail | (1 << 29)
XkbLC_ComposeLED | (1 << 30)
XkbLC_BeepOnComposeFail | (1 << 31)
XkbLC_AllControls | (0xc0000007)

RETURN VALUES

(1 << 0)
    XkbLC_ForceLatin1Lookup

(1 << 1)
    XkbLC_ConsumeLookupMods

(1 << 2)
    XkbLC_AlwaysConsumeShiftAndLock

(1 << 3)
    XkbLC_IgnoreNewKeyboards

(1 << 29)
    XkbLC_ConsumeKeysOnComposeFail

(1 << 30)
    XkbLC_ComposeLED

(1 << 31)
    XkbLC_BeepOnComposeFail

(0xc0000007)
    XkbLC_AllControls